QGIS Application - Bug report #13979
Legend Item Properties - Symbol Size
2015-12-12 07:12 AM - Harry Clarke

Status: Closed
Priority: High
Assignee:

Category: Map Legend

Affected QGIS version:2.12.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 21993

Description

In Item Properties for a Legend in Print Composer, the size of symbols is displayed too large when the size of the symbol (i.e. symbol for

point data) is defined in map units (e.g. 1000 metres).

It appears as though the symbol is initially displayed a sensible size, but then redrawn at full scale. This makes it very difficult to perform

any edits on the legend.
Issue occurs in QGIS version 2.12.1

The symbol is shown at the expected size in the Legend, the Map, and QGIS Desktop, but not in ltem Properties in Print Composer.

Associated revisions

Revision 0c5fa811 - 2016-04-11 07:34 AM - Nyall Dawson

Fix huge legend item size when symbol uses map unit sizes (fix #13979)

Add unit test

Revision 46860cb4 - 2016-04-15 11:45 PM - Nyall Dawson

Fix huge legend item size when symbol uses map unit sizes (fix #13979)

Add unit test

(cherry-picked from 0c5fa81126cec652d9e9932861f031c1ab3700db)

History

#1 - 2016-02-09 08:24 AM - Regis Haubourg
- Operating System deleted (Windows)

- Priority changed from Normal to High

- File bug_legend_map_unit.png added

+1.

having symbols with map units size makes a wrong legend in composer. Symbol frame is huge around the symbol. Symbol seems to be evaluated with a

wrong scale. | see big symbols that should be drawmn this way only 1/50000 scale. map is draw at 1/ 2 000 000, they should be small.

See attached image.
Master is also affected.
#2 - 2016-04-10 10:36 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"0c5fa81126cec652d9e9932861f031c1ab3700db".

Files
bug_legend_map_unit.png 51.7 KB 2016-02-09 Regis Haubourg
